#!/bin/sh
KERNVER="`uname -r`"
#110123 If drivers not installed, remove init script (to avoid wait timeout if triggered by udev rule) and exit...

[ "$(find /lib/modules/$(uname -r)/ -maxdepth 2 -type f -name hcfpciosspec.ko)" ] \
 || ( rm -f /etc/init.d/hcfpcimodem 2>/dev/null; exit )

#Indicate not configured - script waits for it.
rm -f /etc/hcfpcimodem/.serial_configured

#120905 Generate blacklist of conflicting modules.  Add 'install' statements to ensure module not loaded. Special 'modemx_' blacklist config file removed by modemprobe_erase when no modem selected.
/usr/sbin/hcfpcimodconflicts /lib/modules/$(uname -r) | sed -e 's%^\([a-z0-9_\-]*\)\(.*\)%blacklist \1 # temporarily disabled by hcfpci - conflicts with\2\ninstall \1 /bin/true #conflicts with\2%' > /tmp/modemx_hcfpci.conflicts.conf
if [ -s /tmp/modemx_hcfpci.conflicts.conf ];then
 mv /tmp/modemx_hcfpci.conflicts.conf /etc/modprobe.d/
else
 rm -f /tmp/modemx_hcfpci.conflicts.conf
 rm -f /etc/modprobe.d/modemx_hcfpci.conflicts.conf
fi

#Use edited config script to create devices.
[ -f /usr/sbin/hcfpciconfig_adapted ] \
 && /usr/sbin/hcfpciconfig --serial
fi
